Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css.common.configuration
Class CSSConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.hyperion.css.CSSException
                        |
                        +--com.hyperion.css.common.configuration.CSSConfigurationException

All Implemented Interfaces:
  CSSAppExceptionIF, java.io.Serializable

public class CSSConfigurationException
extends CSSException

The exception class that details an abnormality in the configuration component.

Since:
  CSS v1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.hyperion.css.CSSAppExceptionIF
`AUTHENTICATION_EXCEPTION, COMMUNICATION_EXCEPTION, CONFIGURATION_EXCEPTION, DIRECTORY_UNTRUSTED_EXCEPTION, GENERAL_EXCEPTION, ILLEGAL_ARGUMENT_EXCEPTION, INVALID_GROUP_EXCEPTION, INVALID_IDENTITY_EXCEPTION, INVALID_USER_EXCEPTION, NO_PROVIDER_EXCEPTION, OPERATION_NOT_SUPPORTED_EXCEPTION, SECURITY_AGENT_NOT_CONFIGURED, TOKEN_CANNOT_BE_DECRYPTED, TOKEN_CANNOT_BE_ENCRYPTED, TOKEN_NOT_ACCEPTED_EXCEPTION, TOKEN_NOT_AVAILABLE_EXCEPTION, USER_NOT_FOUND_EXCEPTION`

Constructor Summary
`CSSConfigurationException()` Constructor with no arguments.
`CSSConfigurationException(java.lang.String explanation)` Constructor with explanation argument.
`CSSConfigurationException(java.lang.String explanation, long errorCode)` Constructor with explanation and errorCode arguments.
`CSSConfigurationException(java.lang.String explanation, java.lang.Throwable rootException)` Constructor with explanation and rootException arguments.
`CSSConfigurationException(java.lang.Throwable rootException)` Constructor with rootException argument.

Method Summary
`long` | `getErrorCode()` Gets the error Code.
`java.lang.String` | `getProvider()` Gets the provider where the configuration issue has been isolated in.
`void` | `setProvider(java.lang.String providerName)` Associates a configuration issue to a particular provider

Methods inherited from class com.hyperion.css.CSSException
`getMessage, getRootCause, printStackTrace, printStackTrace, printStackTrace, setErrorCode, setLocale, setRootCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CSSConfigurationException

    public CSSConfigurationException(java.lang.String explanation)

  Constructor with explanation argument.

Parameters:
  `explanation` - String that states the reason for the exception.

### CSSConfigurationException

    public CSSConfigurationException(java.lang.String explanation,
                                     long errorCode)

  Constructor with explanation and errorCode arguments.

Parameters:
  `explanation` - String that states the reason for the exception.
  `errorCode` - Specifies the type of error and is associated with an exception class.

### CSSConfigurationException

    public CSSConfigurationException(java.lang.Throwable rootException)

  Constructor with rootException argument.

Parameters:
  `rootException` - The exception that caused this exception.

### CSSConfigurationException

    public CSSConfigurationException(java.lang.String explanation,
                                     java.lang.Throwable rootException)

  Constructor with explanation and rootException arguments.

Parameters:
  `explanation` - String that states the reason for the exception.
  `rootException` - The exception that caused this exception.

### CSSConfigurationException

    public CSSConfigurationException()

  Constructor with no arguments.

Method Detail

### getErrorCode

    public long getErrorCode()

  Gets the error Code. Need to override this method so that the right error code gets assigned. Note that Java methods are virtual but not instance variables.

  Specified by:
    `getErrorCode` in interface `CSSAppExceptionIF`
  Overrides:
    `getErrorCode` in class `CSSException`
  Returns:
    long - Specifies the type of error and is associated with an exception class.

### setProvider

    public void setProvider(java.lang.String providerName)

  Associates a configuration issue to a particular provider

  This implies that a particular provider is isolated for a configuration issue and remedial action is required that involves checking the configuration.

  Since:
    CSS v2.5

### getProvider

    public java.lang.String getProvider()

  Gets the provider where the configuration issue has been isolated in.

  This implies that a particular provider is isolated for a configuration issue and remedial action is required that involves checking the configuration.

  Overrides:
    `getProvider` in class `CSSException`
  Returns:
    String - the name of the provider
  Since:
    CSS v2.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD